Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: No access to LibreOffice Stable repository

  1. #1

    Default No access to LibreOffice Stable repository

    It seems that access to the LibreOffice Stable repository is currently blocked. Is that right?

    I am getting the error
    Code:
    File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.2/'
    Greetings
    Harvey

  2. #2

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by hnimmo View Post
    It seems that access to the LibreOffice Stable repository is currently blocked. Is that right?

    I am getting the error
    Code:
    File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.2/'
    Yes, that URL doesn't exist, 'http://download.opensuse.org/repositories/LibreOffice:/Stable/ is completely empty.
    And AFAICS that project (LibreOffice:Stable) has been deleted completely on OBS.

    But why would you even want that repo?
    13.2 comes with the latest stable LibreOffice anyway, and last time I looked that repo contained 13.1's version, 4.1.x...

    Just remove it.

    You can get the latest 4.3.x version from LibreOffice:43, but this is released as update for 13.2 anyway.

  3. #3

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by wolfi323 View Post
    Yes, that URL doesn't exist, 'http://download.opensuse.org/repositories/LibreOffice:/Stable/ is completely empty.
    And AFAICS that project (LibreOffice:Stable) has been deleted completely on OBS.

    But why would you even want that repo?
    13.2 comes with the latest stable LibreOffice anyway, and last time I looked that repo contained 13.1's version, 4.1.x...

    Just remove it.

    You can get the latest 4.3.x version from LibreOffice:43, but this is released as update for 13.2 anyway.
    OK. Thanks. It seems 'Stable' has been removed in the last few hours.

  4. #4
    Join Date
    Feb 2010
    Location
    South Dakota, USA
    Posts
    171

    Default Re: No access to LibreOffice Stable repository

    I'm having the same problem since sometime overnight, except instead of 13.2, it's for 13.1'
    Code:
    File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.1/'
    I went to the URL in the Web Brower, and all of the URL exists, and the repomd.xml and other files are there are as well, so I don't know why Yast i is not finding it, because it is there:
    From:
    http://download.opensuse.org/reposit...13.1/repodata/

    I can't do the 'zypper up' either, without the error message of "File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.1/'", and other places, like the Software Updater continuing to pop up an error notification:

    https://drive.google.com/file/d/0B0a...ew?usp=sharing

    Cliff

  5. #5
    Join Date
    Feb 2010
    Location
    South Dakota, USA
    Posts
    171

    Default Re: No access to LibreOffice Stable repository

    UPDATE: 215-01-06 11:47AM EST ... It looks like I need to change the "/Stable/" part to "/Factory/", since that was the directory contents I posted here ... but trying it causes Conflicts because the newer version of LibreOffice wants "libcmis-0.4.so.4", and other files, the "Warning" notice says nothing provides those


    Quote Originally Posted by Star_Gazer View Post
    I'm having the same problem since sometime overnight, except instead of 13.2, it's for 13.1'
    Code:
    File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.1/'
    I went to the URL in the Web Brower, and all of the URL exists, and the repomd.xml and other files are there are as well, so I don't know why Yast i is not finding it, because it is there:
    From:
    http://download.opensuse.org/reposit...13.1/repodata/

    I can't do the 'zypper up' either, without the error message of "File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/LibreOffice:/Stable/openSUSE_13.1/'", and other places, like the Software Updater continuing to pop up an error notification:

    https://drive.google.com/file/d/0B0a...ew?usp=sharing

    Cliff

  6. #6

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by Star_Gazer View Post
    UPDATE: 215-01-06 11:47AM EST ... It looks like I need to change the "/Stable/" part to "/Factory/", since that was the directory contents I posted here ...
    No, LibreOffice:Factory is the place where the packages for Factory are created, i.e. for the _next_ openSUSE version and Tumbleweed.

    If you want the latest LO 4.3.x, use LibreOffice:4.3 instead.
    http://download.opensuse.org/reposit...openSUSE_13.1/

    If you are satisfied with the latest 4.1.x (as was contained in LO:Stable the last time I looked), just remove the repo completely, the latest 4.1.x version is available for 13.1 via the standard update repo.

  7. #7
    Join Date
    Feb 2010
    Location
    South Dakota, USA
    Posts
    171

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by wolfi323 View Post
    No, LibreOffice:Factory is the place where the packages for Factory are created, i.e. for the _next_ openSUSE version and Tumbleweed.

    If you want the latest LO 4.3.x, use LibreOffice:4.3 instead.
    http://download.opensuse.org/reposit...openSUSE_13.1/

    If you are satisfied with the latest 4.1.x (as was contained in LO:Stable the last time I looked), just remove the repo completely, the latest 4.1.x version is available for 13.1 via the standard update repo.
    Thank You for the info - there was an Conflict Warning after doing that about a openclipart package, but it appears the newer one got download, plus, the newer 4.3 version seems to have a bunch of blank Themes unnamed and no images, though the default ones are there at the bottom. I wish they (opensuse) would notify us when a change has occurred, or program the change(s) to account for the change(s) ...

    Still yet, there remains a problem ... it seems that the repository for Mozilla may have changed too ... do I need to check for, or create another thread for that?

    Code:
    The following ##package updates will NOT be installed:
    MozillaFirefoxMozillaFirefox-branding-openSUSE MozillaThunderbird libexttextcat …(bunch of LibreOffice packages listed here) ... libstlport_gcc4mozilla-nspr openclipart-svg seamonkey
    Cliff

  8. #8

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by Star_Gazer View Post
    Thank You for the info - there was an Conflict Warning after doing that about a openclipart package, but it appears the newer one got download, plus, the newer 4.3 version seems to have a bunch of blank Themes unnamed and no images, though the default ones are there at the bottom. I wish they (opensuse) would notify us when a change has occurred, or program the change(s) to account for the change(s) ...
    No idea about that, as I don't use that repo nor 13.1 any more.

    I do remember something similar as you describe when I first tried that on 13.1 though.
    Have you switched _all_ packages to the repo? Either via "zypper dup --from XXX" or YaST's "Switch system packages to the versions from this repo". Otherwise you might have some old packages left.

    Still yet, there remains a problem ... it seems that the repository for Mozilla may have changed too ... do I need to check for, or create another thread for that?
    Normally I'd say that you'd better open a new thread for that.
    But I don't see a problem here, the Mozilla repo has not changed.

    It is by design that "zypper up" does not install packages coming from another repo by default (vendor stickiness). You'd have to manually switch to the packages from the mozilla repo (via "zypper dup --from XXX" or YaST's "Version" tab or "Switch system packages to the versions from this repo").
    That message just means that there would be a "higher" version/revision available in another repo.
    And that hasn't changed in years.

    For Firefox and Thunderbird you don't need that repo at all though, as the latest versions will always be delivered through the standard update repo anyway.

  9. #9
    Join Date
    Feb 2010
    Location
    South Dakota, USA
    Posts
    171

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by wolfi323 View Post
    It is by design that "zypper up" does not install packages coming from another repo by default (vendor stickiness). You'd have to manually switch to the packages from the mozilla repo (via "zypper dup --from XXX" or YaST's "Version" tab or "Switch system packages to the versions from this repo").
    That message just means that there would be a "higher" version/revision available in another repo.
    And that hasn't changed in years.
    Thanks for your help. BTW, what does the "XXX" supposed to represent in the "zypper dup --from XXX" part?

    I like to wait before upgrading to make sure the new upgrades got the kinks out of them, but I think I shall upgrade this weekend anyway, as I do have another partition with openSUSE 13.1 on it.

    Cliff

  10. #10

    Default Re: No access to LibreOffice Stable repository

    Quote Originally Posted by Star_Gazer View Post
    Thanks for your help. BTW, what does the "XXX" supposed to represent in the "zypper dup --from XXX" part?
    XXX specifies the name, alias, or number of the repo, as displayed by "zypper lr".
    See "zypper dup --help", and/or https://en.opensuse.org/SDB:Vendor_c..._Vendor_change .

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •